import { DynamicModule, MiddlewareConsumer, NestModule, Provider } from '@nestjs/common';
import { TsxViewsModuleOptions, TsxViewsModuleOptionsAsyncOptions } from './tsx-views.interface.js';
export declare class TsxViewsModule implements NestModule {
    private readonly options;
    constructor(options: TsxViewsModuleOptions);
    configure(consumer: MiddlewareConsumer): void;
    static register(options: TsxViewsModuleOptions): DynamicModule;
    static registerAsync(options: TsxViewsModuleOptionsAsyncOptions): DynamicModule;
    static createProviders(options: TsxViewsModuleOptionsAsyncOptions): Provider[];
    private static createOptionsProvider;
}
